svn commit: samba r17953 - in branches/SAMBA_3_0/source/script/tests: .

metze at samba.org metze at samba.org
Thu Aug 31 07:43:57 GMT 2006


Author: metze
Date: 2006-08-31 07:43:57 +0000 (Thu, 31 Aug 2006)
New Revision: 17953

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=17953

Log:
run bin/talloctort with samba3's make test

metze
Added:
   branches/SAMBA_3_0/source/script/tests/test_local_s3.sh
Modified:
   branches/SAMBA_3_0/source/script/tests/tests_all.sh


Changeset:
Added: branches/SAMBA_3_0/source/script/tests/test_local_s3.sh
===================================================================
--- branches/SAMBA_3_0/source/script/tests/test_local_s3.sh	2006-08-31 07:43:09 UTC (rev 17952)
+++ branches/SAMBA_3_0/source/script/tests/test_local_s3.sh	2006-08-31 07:43:57 UTC (rev 17953)
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# this runs the file serving tests that are expected to pass with samba3
+
+if [ $# != 0 ]; then
+cat <<EOF
+Usage: test_local_s3.sh
+EOF
+exit 1;
+fi
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+failed=0
+
+testit "talloctort" $VALGRIND $BINDIR/talloctort || \
+    failed=`expr $failed + 1`
+
+testok $0 $failed


Property changes on: branches/SAMBA_3_0/source/script/tests/test_local_s3.sh
___________________________________________________________________
Name: svn:executable
   + *

Modified: branches/SAMBA_3_0/source/script/tests/tests_all.sh
===================================================================
--- branches/SAMBA_3_0/source/script/tests/tests_all.sh	2006-08-31 07:43:09 UTC (rev 17952)
+++ branches/SAMBA_3_0/source/script/tests/tests_all.sh	2006-08-31 07:43:57 UTC (rev 17953)
@@ -1,4 +1,5 @@
 
+$SCRIPTDIR/test_local_s3.sh || failed=`expr $failed + $?`
 $SCRIPTDIR/test_smbtorture_s3.sh //$SERVER_IP/tmp $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
 $SCRIPTDIR/test_smbclient_s3.sh $SERVER $SERVER_IP || failed=`expr $failed + $?`
 



More information about the samba-cvs mailing list